
From: Jan Kara <jack@suse.cz>

I'm sending a patch which changes numbers of blocks reserved for quota writes
to more appropriate values (with current values ext3 asserts can be
triggered).



 fs/ext3/super.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

diff -puN fs/ext3/super.c~ext3-quota-reservation-fix fs/ext3/super.c
--- 25/fs/ext3/super.c~ext3-quota-reservation-fix	2003-05-12 21:23:16.000000000 -0700
+++ 25-akpm/fs/ext3/super.c	2003-05-12 21:23:16.000000000 -0700
@@ -1988,8 +1988,10 @@ int ext3_statfs (struct super_block * sb
 
 #ifdef CONFIG_QUOTA
 
-#define EXT3_OLD_QFMT_BLOCKS 2
-#define EXT3_V0_QFMT_BLOCKS 6
+/* Blocks: (2 data blocks) * (3 indirect + 1 descriptor + 1 bitmap) + superblock */
+#define EXT3_OLD_QFMT_BLOCKS 11
+/* Blocks: quota info + (4 pointer blocks + 1 entry block) * (3 indirect + 1 descriptor + 1 bitmap) + superblock */
+#define EXT3_V0_QFMT_BLOCKS 27
 
 static int (*old_sync_dquot)(struct dquot *dquot);
 

_
